%define name XFree86
%define version 4.1.0
%define baseversion 402
%define release 17mdk
%define usecvs 1
%define cvsversion 4.1.0
%define usefreetype2 1
%define havematroxhal 0
%define usematroxhal 0
%define BuildDebugVersion 0

Packager: Frederic Lepied <flepied@mandrakesoft.com>
Summary: Part of the XFree86 implementation of the X Window System.
Name: %{name}
Version: %{version}
Release: %{release}
License: MIT
Group: System/XFree86
Icon: XFree86-logo.xpm
Requires: pam >= 0.66-18, XFree86-xfs, util-linux, sh-utils, xinitrc >= 2.4.4-10mdk
Requires: XFree86 >= 3.3.6
Requires: /lib/cpp
Prereq: /sbin/chkconfig utempter XFree86-libs = %{version}
BuildRequires: freetype-devel >= 1.3 zlib-devel flex bison groff pam-devel ncurses-devel perl
%if %{usefreetype2}
BuildRequires: freetype2-devel
%endif
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: XFree86-ISO8859-2, XFree86-ISO8859-9
Provides: XFree86-ISO8859-2, XFree86-ISO8859-9

%if %{usecvs}
Source0: XFree86-%{cvsversion}.tar.bz2
%else
Source0: ftp://ftp.xfree86.org/pub/XFree86/snapshots/%{version}/X%{baseversion}src-1.tar.bz2
Source1: ftp://ftp.xfree86.org/pub/XFree86/snapshots/%{version}/X%{baseversion}src-2.tar.bz2
Source2: ftp://ftp.xfree86.org/pub/XFree86/snapshots/%{version}/X%{baseversion}src-3.tar.bz2
%endif
Source3: xserver.pamd
Source4: xdm.pamd
Source5: xfs.init
Source6: xfs.config
Source8: xdm.init
Source9: twm.method
Source10: system.twmrc
#Source11: http://keithp.com/~keithp/fonts/XftConfig
# from Arnd Bergmann <std7652@et.FH-Osnabrueck.DE>
Source11: XftConfig
Source100: Euro.xmod.bz2
Source102: eurofonts-X11.tar.bz2
# some bdf fonts made by us, to cover encodings which haven't
# any available fonts so at least one font is provided for them
# it should regularly be checked and fonts added or removed
# depending on the support of new encodings and the availability
# of better fonts -- pablo
Source151: mdk_drakx_fonts.tar.bz2
# extra *.enc files for xfs server not (yet) in XFree86 -- pablo
Source152: xfsft-encodings.tar.bz2
# locale.dir, compose.dir, locale.alias files.
# maintaining them trough patches is a nightmare, as they change
# too much too often; it is easier to manage them separately -- pablo
Source153: XFree86-compose.dir.bz2
Source154: XFree86-locale.alias.bz2
Source155: XFree86-locale.dir.bz2
#
Source156: gemini-koi8-u.tgz
# hack to be able to use CJK languages with Netscape (pablo)
Source157: XFree86-netscape-hack.tar.bz2

# I18n updates from Pablo
Source158: Compose.bz2
Source159: xkb.tar.bz2

#source mdk icons (by deush)
Source200: icons-%{name}.tar.bz2
%if %{havematroxhal}
Source201: ftp://ftp.matrox.com/pub/mga/archive/linux/2001/beta_1_01_05/mga-1_01_05beta.tgz
%endif
# Savage driver dropin 1.1.19
Source202: ftp://ftp.probo.com/pub/sav40src.tgz
# S3 driver dropin 0.3.21
Source203: ftp://devel.linuxppc.org/users/ajoshi/s3/s3-0.3.21.tar.bz2
# wacom driver update
Source204: http://people.mandrakesoft.com/~flepied/wacom/xf86Wacom.c.bz2

Patch0:   XFree86-4.1.0-branch-update.patch.bz2

Patch10:  XFree86-4.0.99.3-parallelmake.patch.bz2

Patch200: XFree86-xfs-fix.patch.bz2
Patch202: XFree86-xwrapper.patch.bz2

# Pablo i18n patchs -- please if the patches don't apply anymore
# after an upgrade of XFree86 sources write me (pablo) instead
# of just discarding the patch, as discarding it may lead to
# loss of support for some locales. Thanks.
#
Patch204: XFree86-4.1.0-i18n.diff.bz2
# Keyboard fixes patches -- pablo
Patch205: XFree86-4.1.0-fixkbd.diff.bz2

# patch to support Trident Cyberglade XP and XPm chipsets
Patch210: XFree64-4.0.1-cyberglade-xp.patch.bz2

Patch220: XFree86-4.0.1Z-nokernelmodules.patch.bz2

# Updated 4.1.0 drivers from ATI (Radeon VE, and various r128 additions, etc)
Patch315: XFree86-4.1.0-ati-radeon-ve-update.patch.bz2
# Prevent lockups on fast machines when VT switching
Patch316: XFree86-4.1.0-radeon-slowdownthere.patch.bz2
# Adds PCI id support for Rage 128 SM   Mike A. Harris <mharris@redhat.com>
Patch317: XFree86-4.1.0-ati-r128-SM.patch.bz2

Patch318: XFree86-4.1.0-cirrus-foobaroo-fix.patch.bz2

Patch319: XFree86-4.0.2-xfree86.lst.patch.bz2
# Adds 1400x1050 video modelines to XFree for some laptops, etc.
# FIXME: Is this still required?  I believe it is in 4.0.99.x already...
Patch320: XFree86-4.0.2-defmodes-1400.patch.bz2
# Neomagic 256XL+ (NM2380) in sony laptops need this to work properly
Patch321: XFree86-4.0.2-neomagic_swcursor.patch.bz2
# Fix bad page size assumptions in DRI drivers <mharris@redhat.com>
Patch322: XFree86-4.1.0-pagesize-fixup.patch.bz2

# freed memory being deref'd in xaw <jik@kamens.brookline.ma.us>
Patch323: XFree86-4.0.3-xaw-freed-mem-deref.patch.bz2
# <jik@kamens.brookline.ma.us>
Patch324: XFree86-4.0.3-xaw-readtext.patch.bz2
# <jik@kamens.brookline.ma.us> emacs style flashing paren fix
Patch325: XFree86-4.0.3-xaw-flashing-paren.patch.bz2
# Xaw fixup <jik@kamens.brookline.ma.us>
Patch326: XFree86-4.0.3-xaw-asciisink.patch.bz2

# Fixes libXfont bug that hosed the {75,100}dpi/helvBO12.pcf.gz fonts.
Patch327: XFree86-4.1.0-libXfont-put-eof.patch.bz2
# Fixes twm core dumps
Patch328: XFree86-4.1.0-twm-coredumpfix.patch.bz2
# -frame option is ignored if -id option used <mharris@redhat.com>
Patch329: XFree86-4.1.0-xwd-frame-option.patch.bz2

Patch330: xdm-4.0-servonly.patch.bz2

# modifications for  startx (argument parsing and font rendering)
Patch504: XFree86-4.1.0-startx.patch.bz2

# use xvt instead of xterm in xinit
Patch505: XFree86-4.0.2-xvt.patch.bz2

# fix for frameWith in xdm from Thierry Godefroy <xdialog@free.fr>
Patch507: XFree86-4.0.3-xdm-frameWidth-patch.bz2

# Fix sis_alloc.c build problem, WRT CONFIG_DRM_SIS ifdef in drm.h
Patch511: XFree86-4.1.0-sis-buildfix.patch.bz2

Patch512: XFree86-4.1-xinerama.patch.bz2

Patch513: XFree86-4.1.0-allow-module-flags.patch.bz2

Patch514: XFree86-4.1.0-agpgart-load.patch.bz2

Patch515: XFree86-4.1.0-radeon-dri-branch.patch.bz2

# update for Matrox G550 from Randall Watt <rwatt@matrox.com>
Patch516: XFree86-4.1.0-g550.patch.bz2

# load agpgart kernel module before trying to access /dev/agpgart
Patch517: XFree86-4.1.0-load-agpgart.patch.bz2

# platforms specific patches start here

# PPC patches
# Dadou - 4.0.2-4mdk - 600 is based on sources available here:
#                      rsync -arvz linuxppc.org::xfree86-pmac .
# reworked 600 with duplicate patches picked up by 4.0.3 removed
# sbenedict
Patch600:	XFree86-4.0.2-ppc-patches-ani-joshi-tree-20010327.patch.bz2
Patch601:	XFree86-4.0.2-ppc-build-ati-drivers.patch.bz2

%description
If you want to install the X Window System (TM) on
your machine, you'll need to install XFree86.

The X Window System provides the base technology
for developing graphical user interfaces. Simply stated,
X draws the elements of the GUI on the user's screen and
builds methods for sending user interactions back to the
application. X also supports remote application deployment--running an
application on another computer while viewing the input/output 
on your machine.  X is a powerful environment which supports
many different applications, such as games, programming tools,
graphics programs, text editors, etc.  XFree86 is the version of
X which runs on Linux, as well as other platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

In addition to installing this package, you will need to install 
the XFree86 package which corresponds to your video card, the 
X11R6-contrib package, the Xconfigurator package and the XFree86-libs 
package. You may also need to install one of the XFree86 fonts packages.  

And finally, if you are going to develop applications that run as 
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System.
Group: System/Fonts/X11 bitmap
Prereq: chkfontpath, psmisc, /usr/X11R6/bin/xset, XFree86 = %{version}
%ifarch sparc
Obsoletes: X11R6.1-75dpi-fonts
%endif
Obsoletes: XFree86-ISO8859-2-75dpi-fonts, XFree86-ISO8859-9-75dpi-fonts
Provides: XFree86-ISO8859-2-75dpi-fonts, XFree86-ISO8859-9-75dpi-fonts

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used
on most X Window Systems. If you're going to use the 
X Window System, you should install this package, unless 
you have a monitor which can support 100 dpi resolution. 
In that case, you may prefer the 100dpi fonts available in 
the XFree86-100dpi-fonts package.

You may also need to install other XFree86 font packages.

To install the X Window System, you will need to install
the XFree86 package, the XFree86 package corresponding to
your video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run
as X clients, you will also need to install the
XFree86-devel package.

%package 100dpi-fonts
Summary: X Window System 100dpi fonts.
Group: System/Fonts/X11 bitmap
Prereq: chkfontpath, psmisc, /usr/X11R6/bin/xset, XFree86 = %{version}
%ifarch sparc
Obsoletes: X11R6.1-100dpi-fonts
%endif
Obsoletes: XFree86-ISO8859-2-100dpi-fonts, XFree86-ISO8859-9-100dpi-fonts
Provides: XFree86-ISO8859-2-100dpi-fonts, XFree86-ISO8859-9-100dpi-fonts

%description 100dpi-fonts
If you're going to use the X Window System and you have a
high resolution monitor capable of 100 dpi, you should install
XFree86-100dpi-fonts. This package contains a set of
100 dpi fonts used on most Linux systems.

If you are installing the X Window System, you will also
need to install the XFree86 package, the XFree86
package corresponding to your video card, the X11R6-
contrib package, the Xconfigurator package and the
XFree86-libs package. If you need to display certain
fonts, you may also need to install other XFree86 fonts
packages.

And finally, if you are going to develop applications that
run as X clients, you will also need to install the
XFree86-devel package.

%package cyrillic-fonts
Summary: Cyrillic fonts - only needed on the server side.
Group: System/Fonts/X11 bitmap
Prereq: chkfontpath, psmisc, /usr/X11R6/bin/xset, XFree86 = %{version}

%description cyrillic-fonts
The Cyrillic fonts included with XFree86 3.3.2 and higher. Those who
use a language requiring the Cyrillic character set should install
this package.

%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6.
Group: System/Libraries
Prereq: grep /sbin/ldconfig
Requires: freetype >= 1.3
Provides: Mesa
%ifarch sparc
Obsoletes: X11R6.1-libs
%endif

%description libs
XFree86-libs contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

If you are installing the X Window System on your machine, you will need to
install XFree86-libs.  You will also need to install the XFree86 package,
the XFree86-75dpi-fonts package or the XFree86-100dpi-fonts package
(depending upon your monitor's resolution), the Xconfigurator package and
the X11R6-contrib package.  And, finally, if you are going to be developing
applications that run as X clients, you will also need to install
XFree86-devel.

%package devel
Summary: Headers and programming man pages.
Group: Development/C
Obsoletes: Mesa-devel
Provides: Mesa-devel
%ifarch sparc
Obsoletes: X11R6.1-devel
%endif
Requires: XFree86-libs = %{version}-%{release}, glibc-devel, /lib/cpp

%description devel
XFree86-devel includes the libraries, header files and documentation
you'll need to develop programs which run in X clients. XFree86 includes
the base Xlib library as well as the Xt and Xaw widget sets.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

Install XFree86-devel if you are going to develop programs which
will run as X clients.

If you need the static libraries, install the XFree86-static-libs
package.

%package static-libs
Summary: X11R6 static libraries
Group: System/Libraries
Requires: XFree86-devel = %{version}-%{release}

%description static-libs
XFree86-devel includes the X11R6 static libraries needed to
build statically linked programs.

%package doc
Summary: Documentation on various X11 programming interfaces
Group: System/XFree86

%description doc
XFree86-doc provides a great deal of extensive PostScript documentation
on the various X APIs, libraries, and other interfaces.  If you need
low level X documentation, you will find it here.  Topics include the
X protocol, the ICCCM window manager standard, ICE session management,
the font server API, etc.

%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86.
Group: System/XFree86
Requires: XFree86 = %{version}-%{release}

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one. 

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%package Xnest
Summary: A nested XFree86 server.
Group: System/XFree86
Requires: XFree86-xfs
Requires: XFree86 = %{version}-%{release}

%description Xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the 
real X server, which manages windows and graphics requests 
for Xnest, while Xnest manages the windows and graphics 
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%package server
Summary: The X server and associated modules
Group: System/XFree86
Requires: XFree86
Obsoletes: xserver-wrapper

%description server
XFree86-server is the new generation of X server from XFree86.

%ifarch %{ix86}
%package glide-module
Summary: The glide module for XFree86 server.
Group: System/XFree86
Requires: XFree86-server = %{version}-%{release}
BuildRequires: Glide_V3-DRI-devel >= cvs-2mdk

%description glide-module
glide module for XFree86.
%endif

%package xfs
Group: System/Servers
Summary: Font server for XFree86
Prereq: shadow-utils setup
Requires: initscripts >= 5.27-28mdk
Requires: XFree86-libs = %{version}-%{release}
Obsoletes: xtt

%description xfs
This is a font server for XFree86.  You can serve fonts to other X servers
remotely with this package, and the remote system will be able to use all
fonts installed on the font server, even if they are not installed on the
remote computer.

%prep
%if %{usecvs}
%setup -q -c
%else
%setup -q -c -a 1 -a 2

%patch0 -p1 -b .4.0.3
%endif

bzcat %{SOURCE204} > xc/programs/Xserver/hw/xfree86/input/wacom/xf86Wacom.c

#branch updates
%patch0 -p1 -b .branch

# parallel make
%patch10 -p1 -b .parallelmake

#%ifarch ppc
#%patch600 -p1
#%patch601 -p1
#%endif

# fix xfs
%patch200 -p0 -b .xfs

%patch202 -p0 -b .xwrapper

#%patch203 -p1 -b .xtt
# i18n patches
# please if there is any problem here tell me (pablo@mandrakesoft.com) instead
# of just silently discarding the patch.
%patch204 -p0 -b .i18n
%patch205 -p1 -b .fixxkb

# Don't build the DRM kernel modules. We don't use them anyways.
%patch220 -p1 -b .nomodules

# Added Wed, July 25, 2001, <mharris@redhat,com>
%patch315 -p0 -b .ati-radeon-ve-update
%patch316 -p0 -b .ati-radeon-slowdownthere
# Must apply after Radeon patches.
%patch317  -p0 -b .ati-r128-SM

%patch318 -p0 -b .cirrus-foobaroo-fix


%patch319 -p0 -b .patch-xfree86.lst

%patch320 -p0 -b .defmodes-1400
%patch321 -p1 -b .neomagic_swcursor

%patch322 -p0 -b .pagesize-fixup

%patch323 -p0 -b .xaw-freed-mem-deref
%patch324 -p0 -b .xaw-readtext
%patch325 -p0 -b .xaw-flashing-paren
%patch326 -p1 -b .xaw-asciisink

%patch327 -p1 -b .libXfont-put-eof
%patch328 -p0 -b .twm-coredumpfix
%patch329 -p0 -b .xwd-frame-option
%patch330 -p1 -b .xdm-servonly

%patch504 -p1 -b .startx

%patch505 -p1 -b .xvt

%patch511 -p1 -b .sis

%patch512 -p1 -b .xinerama

%patch513 -p0 -b .module-flags

%patch514 -p1 -b .agpgart_load

#%patch515 -p1 -b .radeon-dri

%patch516 -p1 -b .g550

%patch517 -p1 -b .load-agpgart

%if %{havematroxhal}
# Matrox updated drivers
cd xc/programs/Xserver/hw/xfree86/drivers; zcat %{SOURCE201} | tar xf -; cd -
%endif

# S3 driver
cd xc/programs/Xserver/hw/xfree86/drivers; bzcat %{SOURCE203} | tar xf -; cd -

cat >xc/config/cf/host.def <<END
%if %{BuildDebugVersion}
#define XFree86Devel		YES
#define DoLoadableServer	NO
%endif

#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS
#define DefaultGcc2AxpOpt       $RPM_OPT_FLAGS

#define NeedModuleRanlib	YES
#define ModuleCFlags \$(CDEBUGFLAGS) \$(CCOPTIONS) -fno-merge-constants \
\$(THREAD_CFLAGS) \$(ALLDEFINES)
#define ModuleRanlibCmd		RanlibCmd

#define HasAgpGart		YES
#define HasLdRunPath		NO
#define InstallXserverSetUID	NO
#define BuildServersOnly        NO
#define HasPam			YES
#define HasZlib			YES
#define HasFreetype2		YES
#define FreeTypeLibDir		/usr/lib
#define FreeTypeIncDir		/usr/include/freetype
#define FreeTypeLibName		ttf
%if %{usefreetype2}
#define Freetype2Dir            /usr
#define Freetype2LibDir		/usr/lib
#define Freetype2IncDir		/usr/include/freetype2
%endif
%ifnarch ppc
#define BuildSuperProbe		YES
%else
#define BuildSuperProbe         NO
%endif
#define BuildFreetype2Library   YES
#define HasBlindFaithInUnicode	YES
#define BuildFonts		YES
#define BuildCyrillicFonts	YES
#define BuildXF86MiscExt	YES
#define BuildHtmlManPages	NO
#define XVendorString		"Mandrake Linux (XFree86 %{version}, patch level %{release})"
#define UseInternalMalloc	NO
#define ForceNormalLib		YES
#define NormalLibFont		YES
#define UseXserverWrapper	YES
#define BuildXF86DRI		YES
#define BuildXF86DRM		NO
%ifarch %{ix86}
#define HasGlide2		NO
#define Glide2IncDir		/usr/include/glide2
#define HasGlide3		YES
#define Glide3IncDir		/usr/include/glide3
%endif
#define UseGccMakeDepend	NO
#define HasLinuxInput		YES
#define LinkGLToUsrInclude	NO
#define LinkGLToUsrLib		NO

#define SharedLibXdmGreet       NO
#define SharedLibXxf86dga       YES
#define SharedLibXv             YES

#define AdmDir 			/var/log
#define LbxproxyDir 		/etc/X11/lbxproxy
#define ProxyManagerDir 	/etc/X11/proxymngr
#define ServerConfigDir 	/etc/X11/xserver
#define XdmDir 			/etc/X11/xdm
#define XConfigDir 		/etc/X11
#define XinitDir 		/etc/X11/xinit
%if %{havematroxhal}
#define HaveMatroxHal		YES
#define UseMatroxHal		YES
%else
 %if %{usematroxhal}
#define UseMatroxHal		YES
 %else
#define UseMatroxHal		NO
 %endif
%endif

#define XF86ExtraCardDrivers	s3

%ifarch alpha
#define XF86CardDrivers mga nv tga s3virge sis rendition \
			neomagic i740 tdfx cirrus tseng trident chips apm \
			fbdev ati vga v4l glint
%endif
%ifarch ia64
#define XF86CardDrivers mga nv s3virge sis rendition i740 \
			tdfx v4l fbdev glint ati vga 
%endif
%ifarch ppc
#define XF86CardDrivers mga glint s3virge sis savage \
                        trident chips tdfx fbdev ati \
			DevelDrivers vga \
			XF86OSCardDrivers XF86ExtraCardDrivers
%endif


/* Make the chapter 4 and 7 manpages FHS compliant.  The \ escape is */
/* necessary to avoid command subsitution in the here document.        */
#define DriverManDir    \$(MANSOURCEPATH)4
#define DriverManSuffix 4x /* use just one tab or cpp will die */
#define MiscManDir      \$(MANSOURCEPATH)7
#define MiscManSuffix   7x /* use just one tab or cpp will die */

/* font encodings not to build */ 
#define BuildISO8859_3Fonts		NO
#define BuildISO8859_4Fonts		NO
#define BuildISO8859_10Fonts	NO
#define BuildISO8859_14Fonts	NO

END


# DrakX fonts
mkdir mdk-fonts
bzcat %{SOURCE151} | tar xf - -C mdk-fonts

%build

if [ -z "$NPROCS" -a -f /proc/stat ]; then NPROCS=`egrep -c ^cpu[0-9]+ /proc/stat || :`; fi
if [ -z "$NPROCS" -o "$NPROCS" -le "0" ]; then
  NPROCS=1
fi

%ifarch alpha
make World -C xc CDEBUGFLAGS="$RPM_OPT_FLAGS -Wa,-m21164a" \
	DEFAULTFONTPATH="/usr/X11R6/lib/X11/fonts/misc:unscaled,unix/:-1"
#	MAKE="make -j$NPROCS"
# we are having problems with the compiler on alpha.
make -C xc/programs/xterm CDEBUGFLAGS="-Wa,-m21164a"
make -C xc
rm xc/programs/xfs/os/io.o
pushd xc/programs/xfs/os
make CDEBUGFLAGS=""
cd ..
rm xfs
make CDEBUGFLAGS=""
popd
%else
RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS|sed 's/-fomit-frame-pointer//'|sed 's/-ffast-math//')

make World -C xc CC="gcc" CXX="g++" CDEBUGFLAGS="$RPM_OPT_FLAGS" \
	CXXDEBUGFLAGS="$RPM_OPT_FLAGS" \
	DEFAULTFONTPATH="/usr/X11R6/lib/X11/fonts/misc:unscaled,unix/:-1"
# (fl) parallel make is broken
#	PARALLELMFLAGS="-j$NPROCS"
%endif

# compile libtype1 with -fno-fast-math
make -C xc/lib/font/Type1 clean includes
make -C xc/lib/font/Type1 CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
make -C xc/lib/font

# DrakX fonts
for i in mdk-fonts/*.bdf ; do
	LD_LIBRARY_PATH=xc/lib/font xc/programs/bdftopcf/bdftopcf -o mdk-fonts/`basename $i .bdf`.pcf $i
done
gzip -9f mdk-fonts/*.pcf

echo PACKAGING DOCUMENTATION
# rezip these - they are in the old compress format
find xc/doc/hardcopy -name \*.PS.Z | xargs gzip -df
find xc/doc/hardcopy -name \*.PS | xargs gzip -f

groff -Tascii -ms xc/doc/misc/RELNOTES.ms > xc/doc/hardcopy/RELNOTES.txt
rm -rf xc/doc/hardcopy/BDF/*
groff -Tascii -ms xc/doc/specs/BDF/bdf.ms > xc/doc/hardcopy/BDF/bdf.txt
rm -rf xc/doc/hardcopy/CTEXT/*
groff -Tascii -ms xc/doc/specs/CTEXT/ctext.tbl.ms >xc/doc/hardcopy/CTEXT/ctext.tbl.txt
rm -rf xc/doc/hardcopy/FSProtocol/*
groff -Tascii -ms xc/doc/specs/FSProtocol/protocol.ms >xc/doc/hardcopy/FSProtocol/protocol.txt
rm -rf xc/doc/hardcopy/ICCCM/*
groff -Tascii -ms xc/doc/specs/ICCCM/icccm.ms >xc/doc/hardcopy/ICCCM/icccm.txt
rm -rf xc/doc/hardcopy/ICE/*
groff -Tascii -ms xc/doc/specs/ICE/ICElib.ms >xc/doc/hardcopy/ICE/ICElib.txt
groff -Tascii -ms xc/doc/specs/ICE/ice.ms > xc/doc/hardcopy/ICE/ice.txt
cp xc/doc/specs/PM/PM_spec xc/doc/hardcopy/ICE
rm -rf xc/doc/hardcopy/SM/*
groff -Tascii -ms xc/doc/specs/SM/SMlib.ms > xc/doc/hardcopy/SM/SMlib.txt
rm -rf xc/doc/hardcopy/XDMCP/*
groff -Tascii -ms xc/doc/specs/XDMCP/xdmcp.ms >xc/doc/hardcopy/XDMCP/xdmcp.txt
rm -rf xc/doc/hardcopy/XIM/*
groff -Tascii -ms xc/doc/specs/XIM/xim.ms > xc/doc/hardcopy/XIM/xim.txt
rm -rf xc/doc/hardcopy/XLFD/*
groff -Tascii -ms xc/doc/specs/XLFD/xlfd.tbl.ms >xc/doc/hardcopy/XLFD/xlfd.tbl.txt

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/xserver
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pam.d/xdm
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc
mkdir -p $RPM_BUILD_ROOT/etc/X11

# remove libGLU (in Mesa-common)
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libGLU*
rm -f $RPM_BUILD_ROOT/usr/X11R6/include/GL/glu.h
rm -f $RPM_BUILD_ROOT/usr/X11R6/man/man3/glu

# XftConfig
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT/etc/X11/XftConfig
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XftConfig
(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11; ln -s ../../../../etc/X11/XftConfig)

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libz.a

# we don't want libXpm from XFree86
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/libXpm*
rm -f $RPM_BUILD_ROOT/usr/X11R6/include/X11/Xpm.h

# setup the default X server
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -s Xwrapper $RPM_BUILD_ROOT/usr/X11R6/bin/X

# don't make SuperProbe setuid
# don't make the servers setuid
(	cd $RPM_BUILD_ROOT/usr/X11R6/bin
	chmod 755 SuperProbe
# Xsun* XF68_*
)

# explicitly create X authdir
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm/authdir
chmod 0700 $RPM_BUILD_ROOT/etc/X11/xdm/authdir

# Move config config stuff to /etc/X11
mkdir -p $RPM_BUILD_ROOT/etc/X11
#ln -sf ../../../../etc/X11/XF86Config $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config.eg $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XF86Config-4.eg

# for i in twm fs xsm; do
#     rm -rf $RPM_BUILD_ROOT/etc/X11/$i
#     cp -ar $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i $RPM_BUILD_ROOT/etc/X11
#     rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
#     ln -sf ../../../../etc/X11/$i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
# done

# This one is on xinitrc package now.
## install replacement Xsession file for xdm
#install -m 755 $RPM_SOURCE_DIR/Xsession.mandrake \
#      $RPM_BUILD_ROOT/etc/X11/xdm/Xsession

# we install our own config file for the xfs package
mkdir -p $RPM_BUILD_ROOT/etc/X11/fs
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/X11/fs/config
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/etc/rc.d/init.d/xfs

# install service for xdm
#install -m 755 $RPM_SOURCE_DIR/xdm.init \
#	$RPM_BUILD_ROOT/etc/rc.d/init.d/xdm

# we get xinit from a separate package
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit
ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xinit

# Fix up symlinks
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
ln -sf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -sf ../X11R6/lib/X11 $RPM_BUILD_ROOT/usr/lib/X11

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb/geometry/sgi

# xkb fixes (Pablo)
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11
tar jxvf %{SOURCE159}
find xkb/symbols -type f | xargs chmod 644
find xkb/symbols -type d | xargs chmod 755
cd -

# this certainly doesn't need to be setuid
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/bin/dga

# EURO support
(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc;
 tar xjf %{SOURCE102}
 LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/bdftopcf -t Xlat9-8x14.bdf |gzip -9 >Xlat9-8x14-lat9.pcf.gz;
 LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/bdftopcf -t Xlat9-9x16.bdf |gzip -9 >Xlat9-9x16-lat9.pcf.gz;
 rm *.bdf
 LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc)

# hack to be able to use CJK languages with Netscape
bzcat %{SOURCE157} | tar xvf - -C $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale

# a dirty hack to make japanese, polish etc display correctly

chmod u+w $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/*/*

for i in $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/* 
do
	# make empty Compose files for some locales
	case `basename $i` in
	C|microsoft-*|iso8859-*|koi8-*)
		if [ -d $i ]; then
        	touch $i/Compose
		fi
		;;
	esac

	# This seem to still be needed for 16bit locales...
	# However that breaks CJK support of Motif programs (eg: Netscape)
	# But the programs broken if that isn't done being much more;
	# it is better to still keep it
	if [ -r $i/XLC_LOCALE ]; then
		cp $i/XLC_LOCALE $i/aa
		cat $i/aa | \
			sed 's|^use_stdc_env|#use_stdc_env|' | \
			sed 's|^force_convert_to_mb|#force_convert_to_mb|' > \
			$i/XLC_LOCALE
		rm $i/aa
	fi
done

# we handle compose.dir, locale.dir and locale.alias ourselves,
# it is much easier like that
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/compose.dir
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.{alias,dir}
bzcat %{SOURCE153} > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/compose.dir
bzcat %{SOURCE154} > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.alias
bzcat %{SOURCE155} > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.dir


# improved utf-8 compose file
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/en_US.UTF-8
bzcat %{SOURCE158} > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/en_US.UTF-8/Compose

# fix dead_{acute,diaeresesis} + space (needed for us_intl kbd)
for i in $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/*/Compose
do
  cp $i tmpfile
  cat tmpfile | \
  sed 's/<dead_diaeresis> <space>.*$/<dead_diaeresis> <space> : "\\"" dblquote/' | \
  sed "s/<dead_acute> <space>.*$/<dead_acute> <space> : \"'\" apostrophe/" \
  > $i
done
rm -f tmpfile

# Encoding files for xfsft font server
bzcat %{SOURCE152} | tar xf - -C $RPM_BUILD_ROOT
gzip -9 -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/*.enc || :
gzip -9 -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/large/*.enc || :
mkfontdir -e $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings \
	-e $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/large
cat encodings.dir | sed "s|$RPM_BUILD_ROOT||" \
	> $RPM_BUILD_ROOT/etc/X11/encodings.dir
mkfontdir -e $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/badencodings
cat encodings.dir | sed "s|$RPM_BUILD_ROOT||" \
	> $RPM_BUILD_ROOT/etc/X11/bad_encodings.dir
for i in Speedo Type1 ; do
	ln -sf /etc/X11/encodings.dir \
		$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/encodings.dir
done
/usr/X11R6/bin/xftcache $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/Type1/ || \
	touch $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/Type1/XftCache

# gemini-koi8 fonts
tar zxvf %{SOURCE156} -C $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts
grep '^!' $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/ukr/fonts.alias > \
	README-ukr-fonts
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/ukr/fonts.alias
( cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/ukr
  gunzip *.Z
  gzip -9 *.pcf
  mkfontdir
)

# DrakX fonts
mkdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk
cp mdk-fonts/*.gz $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk/
LD_LIBRARY_PATH=xc/lib/font $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/mdk

# Fix conflicting files with X11-contribs and xterm
rm -f $RPM_BUILD_ROOT/etc/X11/app-defaults/{XCalc,XCalc-color,XFontSel,Xedit,Xman,XTerm}

# List modules without glide_drv.o

rm -f modules.list
find $RPM_BUILD_ROOT/usr/X11R6/lib/modules -type f -print | egrep -v 'glide_dri.so|tdfx_dri.so' | sed s@$RPM_BUILD_ROOT@@ > modules.list

# Fix list of static libs to list only static lib with a dynamic one.
rm -f static.list
find $RPM_BUILD_ROOT/usr/X11R6/lib -type f -maxdepth 1 -name '*.a' -print | egrep -v 'libXau|libGLw|libfntstubs|liboldX|libxf86config|libxkbfile|libxkbui|libXfontcache|libXinerama|libXdmcp|libFS|libXss|libfontbase' | sed s@$RPM_BUILD_ROOT@@ > static.list

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu $RPM_BUILD_ROOT/etc/menu-methods
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT/etc/menu-methods/twm
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} << EOF
#?package(%{name}): needs=x11 section=Multimedia/Graphics longtitle="Bitmap: editor for X bitmap files" title=Bitmap command=bitmap
#?package(%{name}): needs=x11 section=Applications/Development/Tools longtitle="Editres: resource editor for X Toolkit applications" title=Editres command=editres
#?package(%{name}): needs=x11 section=Office longtitle="Xclipboard: clipboard for text cut and paste operations in X" title=Xclipboard command=xclipboard
#?package(%{name}): needs=x11 section=Office hints="Clocks" longtitle="Xclock (analog): analog clock for X" title="Xclock (analog)" command="xclock -analog"
#?package(%{name}): needs=x11 section=Office hints="Clocks" longtitle="Xclock (digital): digital clock for X" title="Xclock (digital)" command="xclock -digital"
?package(%{name}): needs=x11 section=Applications/Monitoring icon=xconsole.xpm longtitle="Xconsole: monitor system console messages with X" title=Xconsole command=xconsole
#?package(%{name}): needs=x11 section=Office longtitle="Xcutsel: interchange between cut buffer and selection in X" title=Xcutsel command=xcutsel
?package(%{name}): needs=x11 section=Applications/Accessibility icon=xmag.xpm longtitle="Xmag: magnify parts of the X screen" title=Xmag command=xmag
?package(%{name}): needs=x11 section=Applications/Monitoring icon=xkill.xpm longtitle="Xkill: kill X clients" title=Xkill command=xkill
#?package(%{name}): needs=x11 section=Amusement/Toys longtitle="Xlogo: display X logo" title=Xlogo command=xlogo
?package(%{name}): needs=x11 section=Applications/Monitoring icon=xrefresh.xpm longtitle="Xrefresh: redraw X screen" title=Xrefresh command=xrefresh
#?package(%{name}): needs=x11 section=Multimedia/Graphics longtitle="X Window Snapshot: take snapshot of any X window (xwd|xwud)" title="X Window Snapshot" command="xwd | xwud"
?package(%{name}): needs=wm section=Session/Windowmanagers icon=twm.xpm longtitle="Twm: Tab Window Manager" title=Twm command=twm
EOF
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/etc/X11/twm/system.twmrc-menu

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmsession.d
cat > $RPM_BUILD_ROOT/etc/X11/wmsession.d/09Twm << EOF
NAME=Twm
DESC=TWM
EXEC=/usr/X11R6/bin/twm
SCRIPT:
exec /usr/X11R6/bin/twm
EOF

#mdk menu icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xjvf %{SOURCE200} -C $RPM_BUILD_ROOT%{_iconsdir}

# remove xterm resources to avoid conflicts with the xterm package
rm -f $RPM_BUILD_ROOT/etc/X11/app-defaults/XTerm*

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat << EOF > $RPM_BUILD_ROOT/etc/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

# for compatibility with the Linux/OpenGL standard base
mkdir -p $RPM_BUILD_ROOT/usr/include
pushd $RPM_BUILD_ROOT/usr/include
ln -sf ../X11R6/include/GL GL
popd

# quick fix
mkdir -p $RPM_BUILD_ROOT/var/lib/xdm
cd $RPM_BUILD_ROOT/etc/X11/xdm
rm -f authdir
ln -sf ../../../var/lib/xdm authdir

%post

%update_menus

%make_session

for d in misc PEX Speedo Type1 mdk; do
    cd /usr/X11R6/lib/X11/fonts/$d
    mkfontdir || :
done

xftcache > /dev/null 2>&1 || :

%postun

%clean_menus

%make_session

%pre
# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.  
# Ugly. Necessary.
while read old new link; do
  if [ -d `dirname $old` -a ! -L $old ]; then
     echo "moving $old to $new linking to $link"
     if [ ! -d $new ]; then
        mkdir -p $new
     fi
     if [ -d $old ]; then
         mv -f $old/* $new
         rmdir $old
     fi
     ln -sf $link $old
  fi
done << EOF
/usr/X11R6/lib/X11/xkb /etc/X11/xkb ../../../../etc/X11/xkb
/usr/X11R6/lib/X11/xkb/compiled /var/lib/xkb ../../../../../var/lib/xkb
/usr/X11R6/lib/X11/app-defaults /etc/X11/app-defaults ../../../../etc/X11/app-defaults
/usr/X11R6/lib/X11/lbxproxy /etc/X11/lbxproxy ../../../../etc/X11/lbxproxy
/usr/X11R6/lib/X11/proxymngr /etc/X11/proxymngr ../../../../etc/X11/proxymngr
/usr/X11R6/lib/X11/rstart /etc/X11/rstart ../../../../etc/X11/rstart
/usr/X11R6/lib/X11/xserver /etc/X11/xserver ../../../../etc/X11/xserver
/etc/X11/xdm/authdir /var/lib/xdm ../../../var/lib/xdm
EOF

#%postun
#if [ $1 = 0 ]; then
#    /sbin/chkconfig --del xdm
#fi

%post libs
grep -q "^/usr/X11R6/lib$" /etc/ld.so.conf || echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep -q "^/usr/X11R6/lib$" /etc/ld.so.conf; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%post 75dpi-fonts
cd /usr/X11R6/lib/X11/fonts/75dpi
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/75dpi:unscaled

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/75dpi:unscaled
fi

%post 100dpi-fonts
cd /usr/X11R6/lib/X11/fonts/100dpi
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/100dpi:unscaled

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/100dpi:unscaled
fi

%post cyrillic-fonts
cd /usr/X11R6/lib/X11/fonts/cyrillic
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/cyrillic:unscaled
cd /usr/X11R6/lib/X11/fonts/ukr
mkfontdir
/usr/sbin/chkfontpath -q -a /usr/X11R6/lib/X11/fonts/ukr:unscaled

%postun cyrillic-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/cyrillic:unscaled
        /usr/sbin/chkfontpath -q -r /usr/X11R6/lib/X11/fonts/ukr:unscaled
fi

%pre xfs
/usr/sbin/useradd -c "X Font Server" \
	-s /bin/false -r -d /etc/X11/fs xfs 2>/dev/null || :


%post xfs
%_post_service xfs

%preun xfs
%_preun_service xfs
if [ $1 = 0 ]; then
    /usr/sbin/userdel xfs 2>/dev/null || :
    /usr/sbin/groupdel xfs 2>/dev/null || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files server -f modules.list
%defattr(-,root,root,-)
%doc /usr/X11R6/lib/X11/XF86Config-4.eg
/usr/X11R6/bin/XFree86

%ifarch %{ix86}
%files glide-module
%defattr(-,root,root,-)
#/usr/X11R6/lib/modules/drivers/glide_drv.o
/usr/X11R6/lib/modules/dri/tdfx_dri.so
%endif

%files
%defattr(-,root,root,-)
%docdir /usr/X11R6/lib/X11/doc

%ifarch %{ix86} alpha sparc
%doc /usr/X11R6/lib/X11/Cards
%endif

%dir /usr/X11R6/lib/X11
%dir /etc/X11/rstart
%dir /etc/X11/rstart/commands
%dir /etc/X11/rstart/commands/x11r6
%dir /etc/X11/rstart/contexts
%dir /usr/X11R6/lib/X11/etc
%dir /usr/X11R6/lib/X11/fonts
%dir /usr/X11R6/lib/X11/xserver

%dir /etc/X11/xkb
%dir /etc/X11/twm
%dir /etc/X11/xdm
%dir %attr(0700,root,root) /etc/X11/xdm/authdir
%dir /etc/X11/xsm
/etc/X11/xdm/chooser
%dir /var/lib/xdm

#%config /etc/rc.d/init.d/xdm
%config(noreplace) /etc/pam.d/xserver
%config(noreplace) /etc/pam.d/xdm
%config(missingok noreplace) /etc/security/console.apps/xserver
%config(noreplace) /etc/X11/twm/system.twmrc-menu
%config(noreplace) /etc/X11/xsm/system.xsm
%config(noreplace) /etc/menu-methods/twm
%config(noreplace) /etc/logrotate.d/xdm

/usr/lib/menu/%{name}

%if %{usefreetype2}
%config(noreplace) /etc/X11/XftConfig
/usr/X11R6/lib/X11/XftConfig
%endif
/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
/usr/X11R6/lib/X11/locale
%config(noreplace) /etc/X11/lbxproxy/*
%config(noreplace) /etc/X11/proxymngr/*
%dir /etc/X11/app-defaults
%config(noreplace) /etc/X11/app-defaults/*

/usr/X11R6/lib/X11/xkb
/usr/X11R6/lib/X11/xkb/*
/var/lib/xkb
/usr/X11R6/lib/X11/xinit
/usr/X11R6/lib/X11/xdm
/usr/X11R6/lib/X11/twm
/usr/X11R6/lib/X11/xsm

/usr/X11R6/lib/X11/xserver/SecurityPolicy
#/usr/X11R6/lib/X11/XF86Config
/usr/X11R6/lib/X11/rstart/rstartd.real
%config(noreplace) /etc/X11/rstart/config
/usr/X11R6/lib/X11/rstart/commands/x11r6/@List
/usr/X11R6/lib/X11/rstart/commands/x11r6/LoadMonitor
/usr/X11R6/lib/X11/rstart/commands/x11r6/Terminal
/usr/X11R6/lib/X11/rstart/commands/@List
/usr/X11R6/lib/X11/rstart/commands/ListContexts
/usr/X11R6/lib/X11/rstart/commands/ListGenericCommands
/usr/X11R6/lib/X11/rstart/contexts/@List
/usr/X11R6/lib/X11/rstart/contexts/default
/usr/X11R6/lib/X11/rstart/contexts/x11r6
/usr/X11R6/lib/X11/x11perfcomp
/usr/X11R6/lib/X11/doc
/usr/X11R6/lib/X11/etc/sun.termcap
/usr/X11R6/lib/X11/etc/sun.terminfo
#/usr/X11R6/lib/X11/etc/xterm.termcap
#/usr/X11R6/lib/X11/etc/xterm.terminfo
/usr/X11R6/lib/X11/etc/xmodmap.std
/usr/X11R6/lib/X11/etc/Xinstall.sh
%attr(4711,root,root)		/usr/X11R6/bin/Xwrapper
/usr/X11R6/bin/X
/usr/X11R6/bin/Xprt
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/rstartd
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfwp
#/usr/X11R6/bin/xrx
/usr/X11R6/bin/lndir
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/makeg
/usr/X11R6/bin/appres
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/atobm
/usr/X11R6/bin/editres
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/showrgb
/usr/X11R6/bin/rstart
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/twm
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/xauth
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xdm
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/xdpyinfo
/usr/X11R6/bin/glxinfo
/usr/X11R6/bin/xgamma
/usr/X11R6/bin/revpath
%attr(0755,root,root)		/usr/X11R6/bin/dga
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xinit
/usr/X11R6/bin/startx
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
#/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xset
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
#/usr/X11R6/bin/xterm
#/usr/X11R6/bin/nxterm
#/usr/X11R6/bin/resize
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xvinfo
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/xon
/usr/X11R6/bin/xf86cfg

/usr/X11R6/bin/bdftruncate.pl
/usr/X11R6/bin/ccmakedep
/usr/X11R6/bin/cleanlinks
/usr/X11R6/bin/dpsexec
/usr/X11R6/bin/dpsinfo
/usr/X11R6/bin/glxgears
/usr/X11R6/bin/makepsres
/usr/X11R6/bin/makestrs
/usr/X11R6/bin/mkcfm
/usr/X11R6/bin/mkhtmlindex
/usr/X11R6/bin/oclock
/usr/X11R6/bin/pswrap
/usr/X11R6/bin/rman
/usr/X11R6/bin/texteroids
/usr/X11R6/bin/ucs2any.pl
/usr/X11R6/bin/xfsinfo
/usr/X11R6/bin/xmh
/usr/X11R6/bin/xftcache
%{_iconsdir}/*

%ifarch %{ix86} alpha sparc
#/usr/X11R6/bin/reconfig
/usr/X11R6/bin/xf86config
/usr/X11R6/bin/scanpci
/usr/X11R6/bin/SuperProbe
/usr/X11R6/bin/pcitweak
/usr/X11R6/man/man1/scanpci.1x*
/usr/X11R6/man/man1/pcitweak.1x*
%endif

/usr/X11R6/include/X11/bitmaps
/usr/X11R6/include/X11/pixmaps

/usr/X11R6/man/man1/lbxproxy.1x*
/usr/X11R6/man/man1/proxymngr.1x*
/usr/X11R6/man/man1/xfindproxy.1x*
/usr/X11R6/man/man1/xfwp.1x*
#/usr/X11R6/man/man1/xrx.1x*
/usr/X11R6/man/man1/lndir.1x*
/usr/X11R6/man/man1/makestrs.1x*
/usr/X11R6/man/man1/makeg.1x*
/usr/X11R6/man/man1/mkdirhier.1x*
/usr/X11R6/man/man1/appres.1x*
/usr/X11R6/man/man1/bdftopcf.1x*
/usr/X11R6/man/man1/beforelight.1x*
/usr/X11R6/man/man1/bitmap.1x*
/usr/X11R6/man/man1/bmtoa.1x*
/usr/X11R6/man/man1/atobm.1x*
/usr/X11R6/man/man1/editres.1x*
/usr/X11R6/man/man1/iceauth.1x*
/usr/X11R6/man/man1/mkfontdir.1x*
/usr/X11R6/man/man1/showrgb.1x*
/usr/X11R6/man/man1/rstart.1x*
/usr/X11R6/man/man1/rstartd.1x*
/usr/X11R6/man/man1/smproxy.1x*
/usr/X11R6/man/man1/twm.1x*
/usr/X11R6/man/man1/x11perf.1x*
/usr/X11R6/man/man1/x11perfcomp.1x*
/usr/X11R6/man/man1/xauth.1x*
/usr/X11R6/man/man1/xclipboard.1x*
/usr/X11R6/man/man1/xcutsel.1x*
/usr/X11R6/man/man1/xclock.1x*
/usr/X11R6/man/man1/xcmsdb.1x*
/usr/X11R6/man/man1/xconsole.1x*
/usr/X11R6/man/man1/xdm.1x*
/usr/X11R6/man/man1/sessreg.1x*
/usr/X11R6/man/man1/xdpyinfo.1x*
/usr/X11R6/man/man1/glxinfo.1x*
/usr/X11R6/man/man1/xgamma.1x*
/usr/X11R6/man/man1/revpath.1x*
/usr/X11R6/man/man1/dga.1x*
/usr/X11R6/man/man1/xfd.1x*
/usr/X11R6/man/man1/xhost.1x*
/usr/X11R6/man/man1/xieperf.1x*
/usr/X11R6/man/man1/xinit.1x*
/usr/X11R6/man/man1/startx.1x*
/usr/X11R6/man/man1/setxkbmap.1x*
/usr/X11R6/man/man1/xkbcomp.1x*
/usr/X11R6/man/man1/xkbevd.1x*
/usr/X11R6/man/man1/xkbprint.1x*
/usr/X11R6/man/man1/xkill.1x*
/usr/X11R6/man/man1/xlogo.1x*
/usr/X11R6/man/man1/xlsatoms.1x*
/usr/X11R6/man/man1/xlsclients.1x*
/usr/X11R6/man/man1/xlsfonts.1x*
/usr/X11R6/man/man1/xmag.1x*
#/usr/X11R6/man/man1/xmh.1x*
/usr/X11R6/man/man1/xmodmap.1x*
/usr/X11R6/man/man1/xprop.1x*
/usr/X11R6/man/man1/xrdb.1x*
/usr/X11R6/man/man1/xrefresh.1x*
/usr/X11R6/man/man1/xset.1x*
/usr/X11R6/man/man1/xsetmode.1x*
/usr/X11R6/man/man1/xsetpointer.1x*
/usr/X11R6/man/man1/xsetroot.1x*
/usr/X11R6/man/man1/xsm.1x*
/usr/X11R6/man/man1/xstdcmap.1x*
#/usr/X11R6/man/man1/xterm.1x*
#/usr/X11R6/man/man1/resize.1x*
/usr/X11R6/man/man1/xvidtune.1x*
/usr/X11R6/man/man1/xvinfo.1x*
/usr/X11R6/man/man1/xwd.1x*
/usr/X11R6/man/man1/xwininfo.1x*
/usr/X11R6/man/man1/xwud.1x*
/usr/X11R6/man/man1/xon.1x*
/usr/X11R6/man/man1/Xserver.1x*
/usr/X11R6/man/man1/XFree86.1x*
/usr/X11R6/man/man1/xf86cfg.1x*

/usr/X11R6/man/man1/dpsexec.1x*
/usr/X11R6/man/man1/dpsinfo.1x*
/usr/X11R6/man/man1/glxgears.1x*                                             
/usr/X11R6/man/man1/libxrx.1x*
/usr/X11R6/man/man1/makepsres.1x*
/usr/X11R6/man/man1/mkcfm.1x*
/usr/X11R6/man/man1/oclock.1x*
/usr/X11R6/man/man1/rman.1x*
/usr/X11R6/man/man1/texteroids.1x*
/usr/X11R6/man/man1/xfsinfo.1x*
/usr/X11R6/man/man1/Xmark.1x*
/usr/X11R6/man/man1/xmh.1x*

/usr/X11R6/man/man5/XF86Config.5x*
/usr/X11R6/man/man4/*
/usr/X11R6/man/man7/*

%ifarch %{ix86} alpha sparc
#/usr/X11R6/man/man1/reconfig.1x*
/usr/X11R6/man/man1/xf86config.1x*
/usr/X11R6/man/man1/SuperProbe.1x*
%endif

%dir /usr/X11R6/lib/X11/fonts/Speedo
/usr/X11R6/lib/X11/fonts/Speedo/*.spd
%ghost /usr/X11R6/lib/X11/fonts/Speedo/fonts.dir
/usr/X11R6/lib/X11/fonts/Speedo/fonts.scale

%dir /usr/X11R6/lib/X11/fonts/Type1
/usr/X11R6/lib/X11/fonts/Type1/*.pfa
/usr/X11R6/lib/X11/fonts/Type1/*.pfb
/usr/X11R6/lib/X11/fonts/Type1/XftCache
%ghost /usr/X11R6/lib/X11/fonts/Type1/fonts.dir
/usr/X11R6/lib/X11/fonts/Type1/fonts.scale

%dir /usr/X11R6/lib/X11/fonts/misc
/usr/X11R6/lib/X11/fonts/misc/*.gz
%ghost /usr/X11R6/lib/X11/fonts/misc/fonts.dir
/usr/X11R6/lib/X11/fonts/misc/fonts.alias

%dir /usr/X11R6/lib/X11/fonts/mdk
/usr/X11R6/lib/X11/fonts/mdk/*.gz
%ghost /usr/X11R6/lib/X11/fonts/mdk/fonts.dir

/usr/X11R6/lib/X11/rgb.txt

%ifarch %{ix86} sparc m68k armv4l
/usr/X11R6/lib/X11/fonts/PEX
%endif

%files libs
%defattr(-,root,root,-)
/usr/X11R6/lib/*.so.*
#/usr/X11R6/lib/libXfont*.so.*
#/usr/X11R6/lib/modules/dri/*.so

%files devel
%defattr(-,root,root,-)
# XXX /usr/X11R6/include/X11/bitmaps is already in XFree86
#/usr/X11R6/include/X11/
/usr/X11R6/include/X11/extensions
/usr/X11R6/include/X11/fonts
/usr/X11R6/include/X11/ICE
/usr/X11R6/include/X11/PM
/usr/X11R6/include/X11/SM
/usr/X11R6/include/X11/Xaw
/usr/X11R6/include/X11/Xmu
/usr/X11R6/include/X11/Xft
/usr/X11R6/include/X11/*.h
/usr/X11R6/include/GL
/usr/X11R6/include/DPS
/usr/X11R6/include/*.h
/usr/include/X11
/usr/include/GL
/usr/X11R6/man/man3/*

/usr/X11R6/lib/X11/config
/usr/X11R6/bin/imake
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/xmkmf

/usr/X11R6/man/man1/imake.1x*
/usr/X11R6/man/man1/makedepend.1x*
/usr/X11R6/man/man1/xmkmf.1x*

/usr/X11R6/lib/*.so
/usr/X11R6/lib/libXx*.a
/usr/X11R6/lib/libXv.a
/usr/X11R6/lib/libXau.a
/usr/X11R6/lib/libGLw.a
/usr/X11R6/lib/libfntstubs.a
/usr/X11R6/lib/liboldX.a
/usr/X11R6/lib/libxf86config.a
/usr/X11R6/lib/libxkbfile.a
/usr/X11R6/lib/libxkbui.a
/usr/X11R6/lib/libXfontcache.a
/usr/X11R6/lib/libXinerama.a
/usr/X11R6/lib/libXdmcp.a
/usr/X11R6/lib/libFS.a
/usr/X11R6/lib/libXss.a

%files static-libs -f static.list
%defattr(-,root,root,-)

%files Xvfb
%defattr(-,root,root,-)
/usr/X11R6/bin/Xvfb
/usr/X11R6/man/man1/Xvfb.1x*

%files Xnest
%defattr(-,root,root,-)
/usr/X11R6/bin/Xnest
/usr/X11R6/man/man1/Xnest.1x*

%files doc
%defattr(-,root,root,-)
%doc xc/doc/hardcopy/*

%files 75dpi-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/75dpi
/usr/X11R6/lib/X11/fonts/75dpi/*.gz
/usr/X11R6/lib/X11/fonts/75dpi/fonts.alias
%ghost /usr/X11R6/lib/X11/fonts/75dpi/fonts.dir

%files 100dpi-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/100dpi
/usr/X11R6/lib/X11/fonts/100dpi/*.gz
/usr/X11R6/lib/X11/fonts/100dpi/fonts.alias
%ghost /usr/X11R6/lib/X11/fonts/100dpi/fonts.dir

%files cyrillic-fonts
%defattr(-,root,root,-)
%dir /usr/X11R6/lib/X11/fonts/cyrillic
/usr/X11R6/lib/X11/fonts/cyrillic/*.gz
/usr/X11R6/lib/X11/fonts/cyrillic/fonts.alias
%ghost /usr/X11R6/lib/X11/fonts/cyrillic/fonts.dir
%doc README-ukr-fonts
%dir /usr/X11R6/lib/X11/fonts/ukr
/usr/X11R6/lib/X11/fonts/ukr/*.gz
%ghost /usr/X11R6/lib/X11/fonts/ukr/fonts.dir

%files xfs
%defattr(-,root,root,-)
#%doc xtt-%{xtt_ver}/doc/*
%attr(-,xfs,xfs) %dir /etc/X11/fs
%attr(-,xfs,xfs) %config(noreplace) /etc/X11/fs/config
%config(noreplace) /etc/rc.d/init.d/xfs
%config(noreplace) /etc/X11/encodings.dir
%config(noreplace) /etc/X11/bad_encodings.dir
/usr/X11R6/lib/X11/fs
#/usr/X11R6/bin/fsinfo
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/xfs
/usr/X11R6/bin/showfont
/usr/X11R6/man/man1/xfs.1x*
#/usr/X11R6/man/man1/fsinfo.1x*
/usr/X11R6/man/man1/fslsfonts.1x*
/usr/X11R6/man/man1/fstobdf.1x*
#/usr/X11R6/man/man1/showfont.1x*
/usr/X11R6/lib/X11/fonts/encodings

%changelog
* Fri Sep 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-17mdk
- xkb and Compose fixes (Pablo).

* Wed Sep 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-16mdk
- load agpgart kernel module before trying to access /dev/agpgart
- updated xkill icons (David).
- removed patch602 for ia64 merged upstream (Gwenole).
- updated locales.alias and locales.dir (Pablo).
- cyrillic-fonts: add :unscaled to ukr font path (Pablo).
- fs/config: append :unscaled to mdk and misc dirs (Pablo).

* Thu Sep 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-15mdk
- updated patch506 to allow startx Gnome (req Borsenkow Andrej)
- fixed XftConfig to use aa even on small fonts.

* Tue Sep 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-14mdk
- Matrox G550 support from Randall Watt <rwatt@matrox.com>.
- disabled patch155 for radeon.

* Sun Sep  9 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-13mdk
- radeon updates from cvs (need feedback from r128 and radeon users)
- really use last wacom driver

* Mon Sep  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-12mdk
- finished rh merge

* Mon Sep  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-11mdk
- merged rh patches
- updated to the last cvs branch xf-4_1
- savage driver update (1.1.19)

* Wed Aug 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-10mdk
- updated xfs startup script
- updated to the last cvs branch xf-4_1 to benefit from the fix of xfs
to be able to work with xf 3 (fix from Paulo Csar Pereira de Andrade of Conectiva).

* Mon Aug 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-9mdk
- try to load agpgart when needed (patch513).
- updated to the last cvs branch xf-4_1
- savage driver update (1.1.18)
- s3 drivers update (0.3.21)
- Compose for en_US.UTF-8 (Pablo)
- updated patch205 (Pablo)
- wacom driver alpha 25

* Tue Aug  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-8mdk
- added BuildRequires bison (Nic Roets).
- added missing provides.
- added session support for twm (fcrozat)
- Xinerama fix (patch512).

* Fri Jul 20 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-7mdk
- added BuildRequires: Glide_V3-DRI-devel >= cvs-2mdk
- added libXss.a to -devel

* Mon Jul 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.1.0-6mdk
- added recognition of GKB/BIG5HKSCS encodings
- some more xkb keyboards (al, ar, la, pl2)
- font packages logic is redone (no more charset specific font packages,
  as now unicode fonts are the preferred font encoding)

* Wed Jul 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 4.1.0-5mdk
- Patch511: Fix sis_alloc.c build

* Wed Jun 13 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 4.1.0-4mdk
- adapted the i18n patch
- fixed Romanian keyboard
- added UTF-8 Compose file
- added XftCache file for Type1 directory
- added alias for Thai fonts

* Tue Jun 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-3mdk
- added after release patch from cvs branch 4.1

* Mon Jun 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-2mdk
- XftConfig: don't antialias fonts with size between 8 and 14 or in
the webdings/wingding families (Laurent Culioli).
- Fix build on PPC (Dadou)
- patched the wacom driver to work with the way the kernel 2.4.5 usb driver
reports usb events.

* Sun Jun  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0

* Sat Jun  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.99.902-1mdk
- 4.0.99.902

* Thu May 31 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.99.901-2mdk
- added optimization for alpha in config file (Jeff).

* Wed May 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.99.901-1mdk
- restored startx like in 8.0
- removed PEX and XIE extensions
- 4.0.99.901

* Mon May 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.99.900-4mdk
- add Xft headers to devel package
- add preliminary s3 driver (Jrgen Zimmermann)
- rebuild libXfont.so.1 after rebuild of libtype1 (Jrgen Zimmermann)
- updated CVS snapshot

* Tue May 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.99.900-3mdk
- add ids for r128 ultra.
- use makedepend instead of gccmakedep to avoid breaking Mesa compilation.
- remove glu devel stuff (gc).
- compile libtype1 with -fno-fast-math to avoid a rendering bug (Arnd Bergmann).
- added patch to have the frameWidth resource behave correctly in xdm (Thierry Godefroy).
- removed patch 328 for alpha (Jeff).
- fixed error on %post
- build Xxf86dga and Xv libs as shared libs.

* Mon May 21 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.99.900-2mdk
- 3dfx is back
- updated CVS snapshot
- fixed fonts
- removed libGLU

* Sat May 12 2001 Arnd Bergmann <arnd@itreff.de> 4.0.99.900-1mdk
- upgrade to current CVS version
- add some files that were not included
- break 3dfx acceleration (sorry)
- build with integrated freetype2 (system lib did not work)
- run xftcache after install

* Fri May  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-9mdk
- recompile to have tdfx_dri.so dynamically linked.

* Sun Apr  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-8mdk
- fix for tdfx dga

* Sun Apr  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-7mdk
- xfs user creation/removal is back

* Sat Apr  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-6mdk
- corrected startx to allow to start another server
- hack to be able to use CJK languages with Netscape (pablo)
- patch to support trident cyberglade XP and XPm

* Thu Apr  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-5mdk
- user -deferplyphs 16 in startx command line (Andrew Lee)
- use gcc on ppc (Dadou)
- updated locale.dir (Pablo)
- use server macros for xfs
- don't compile kernel modules
- don't compile Glide2 support

* Mon Apr  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-4mdk
- don't activate sw_cursor on neomagic
- corrected and enabled patch600 for ppc (Stew)
- various i18n fixes (Pablo)

* Wed Mar 28 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-3mdk
- XftConfig now in /etc/X11 and a config file.
- don't run chkconfig -add xfs on upgrade
- stop xfs on remove
- merged with rh

* Mon Mar 26 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-2mdk
- use XftConfig from Arnd Bergmann.
- compile with normal gcc on ppc
- updated wacom driver.

* Mon Mar 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.3-1mdk
- 4.0.3

* Thu Mar 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-11mdk
- added patch to have working G450 dual head.

* Wed Mar 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-10mdk
- 4.0.2b

* Tue Mar 13 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-9mdk
- merge with rh patches
- savage driver 1.1.15 + fix
- added patch to avoid failure for parallel build

* Thu Mar  8 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-8mdk
- updated to current 4.0.2-branch
- applied patch to Xft to make it prefer familly over spacing (for Qt).
- remove lines referencing Compose files for CJK locales, that
causes problems with KDE. To keep until Qt/KDE is fixed (srtxg).
- xinit calls xvt instead of xterm.
- add patch for matrox.

* Fri Mar  2 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-7mdk
- 4.0.2a
- added xvinfo to file lists

* Mon Jan 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-6mdk
- removed taipeifonts.
- added XftConfig from keith's site (Michel Goraczko).
- removed Xlat9-10x20-lat9.pcf font from eurofonts.

* Thu Jan 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.0.2-5mdk
- initial merge of the taipeifonts into the main XF86 package.

* Tue Jan 09 2001 David BAUDENS <baudens@mandrakesoft.com> 4.0.2-4mdk
- Patches for PPC
- added patch to fix Sis startup.

* Sat Jan  6 2001 Giuseppe Ghib <ghibo@mandrakesoft.com>  4.0.2-3mdk
- make freetype2 conditional in SPEC file (for Mandrake 7.2 backport).
- make HAL conditional in SPEC file (e.g. mgaHALlib.a).
- added glxinfo, xgamma, pcitweak, showfont, revpath and their
  man pages to %files.

* Fri Jan  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-2mdk
- don't compile with HAL (Stefan van der Eijk)
- include XftConfig (Giuseppe)
- correct syntax error in %%pre

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Tue Dec 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1za-1mdk
- 4.0.1Za
- activate freetype2 support in the Render extension.
- don't compile glide support on other arch than ix86 (Jeff).

* Mon Dec 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1z-2mdk
- PPC: build with egcs (Dadou).
- moved gccmakedep to -devel package (Vince).
- added BuildRequires on pam-devel (Fred Crozat).

* Sat Dec  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1z-1mdk
- 4.0.1Z

* Wed Dec  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1h-2mdk
- fix xfs to be able to start as a user.

* Tue Dec  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1h-1mdk
- 4.0.1h

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1g-1mdk
- added BuildRequires flex and groff.
- 4.0.1g

* Wed Nov 22 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.1f-3mdk
- Remove patch for PPC (#600). Fix is now included by default in XFree86 4.0.1

* Tue Nov 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1f-2mdk
- added fix to xkbcomp/rules/xfree86.lst (Pablo).
- added libGlw and static libs that have no dynamic version to -devel
file list (thanks to J. A. Magallon).

* Sat Nov 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1f-1mdk
- 4.0.1f
- xkb files are back.

* Tue Nov 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-30mdk
- fixed Norwegian kbd bug (bugs #1295 and #908)
- fixed Korean TTF font support 

* Tue Nov 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-29mdk
- enabled back pam support (bug #1250).

* Wed Oct 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-28mdk
- some i18n improvements
- display of 16bit encoding still needs a hack in XLC_LOCALE files

* Wed Oct 18 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.1-27mdk
- Patch for PPC

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-26mdk
- added missing /var/lib/xdm dir.

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-25mdk
- corrected manipulation of ld.so.conf in libs %%post.

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.1-24mdk
- provide large icons and make others transparents

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.1-23mdk
- add icons to twm menu entry
- add icons to X small utilities like Xkill, Xrefresh ...
- more macrozifications

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-22mdk
- corrected static-libs package.
- added current CVS tree for neomagic.

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-21mdk
- put static only libs in the devel package.
- added a prereq on XFree86 = %%version for font packages to allow upgrade.
- corrected xfs startup script (thanks to Guillaume Rousse for pointing it).
- corrected startx to allow to launch multiple servers.

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-20mdk
- switched to pam_stack for xdm pam setup.
- added current CVS tree for GeForce2.

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-19mdk
- rewrite of xfs startup script (reload target).
- modified xinit and startx to allow runlevel changes from 3 to 5 to kill autologin.
- applied patches for sparc and alpha from redhat.
- updated xfs patch.

* Tue Sep 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-18mdk
- Fixe tdfx drm acceleration with the last framework of our kernels.

* Fri Sep 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-17mdk
- fixed VidMode extension to work with 3.3 servers.

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-16mdk
- fixed locales names and aliases

* Mon Sep 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-15mdk
- fixed problem with a duplicated mdk font
- added option deferplyphs 16 to xfs config (useful for CJK)
- added :unsaled to directories added by the chkfontpath (for non scalable
  fonts)

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-14mdk
- commented autologin patch
- cleanup of menu entries.
- compile support for Voodoo2.

* Thu Sep  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-13mdk
- noreplace
- launch mkfontdir in %%post of fonts package.

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-12mdk
- fixed XLC_LOCALE files for Chinese
- added full support for Greek typing
- added encoding files for xfsft font server

* Tue Sep  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-11mdk
- Learn to be safe, remove cvs updates.

* Wed Aug 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-10mdk
- Update to last drm from cvs..

* Mon Aug 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-9mdk
- merged back the i18n patches
- lots of new kbd layouts
- several new charset encodings

* Thu Aug 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-8mdk
- compiled with Glide_V3-DRI.

* Fri Aug 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-7mdk
- GLX headers are back.

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 4.0.1-6mdk
- fixed %%pre script of XFree86.
- removed provide to Mesa-devel in XFree86-devel.

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-5mdk
- oops fixed bad %%post of XFree86

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-4mdk
- remove Obsoletes Mesa.
- removed Xpm from the packages.
- %%post modifications for ld.so.conf are back.
- cleanup %%post to work on fresh install.
- don't compile DRM on architectures other than ix86.
- moved app-defaults, rstart, lbxproxy and proxymngr to /etc/X11 in
  the filelist.

* Fri Jul 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-3mdk
- applied patch for autologin with xdm
- added logrotate of /var/log/xdm-error.log
- make symlink from /usr/X11R6/include/GL to /usr/include/GL

* Thu Jul  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-2mdk
- included missing headers.
- tdfx_drv.o is back.

* Mon Jul  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-6mdk
- removed xterm stuff.
- enabled the elographics touchscreen driver.
- Fix missing -L/usr/X11R6/lib in generated Makefiles.
- Fixed empty man pages.

* Fri Mar 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-5mdk
- split the static libraries in their own package.

* Tue Mar 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-4mdk
- add back the static libraries.
- better menu support.
- compiled glide driver and put it in its own package.

* Fri Mar 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-3mdk
- fix bad .so symlinks in XFree86-devel.
- fixed conflicts with X11R6-contrib.
- added menu support.

* Tue Mar 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-2mdk
- corrected xfs startup.

* Mon Mar 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-1mdk
- 4.0
- config file is no longer called XF86Config.experimental. Use the
standard name XF86Config-4 instead.
- patch from Daryll Strauss for tdfx.

* Mon Mar  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.18-2mdk
- enabled i810.
- build all the packages.

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.18-1mdk
- 3.9.18.

* Mon Jan 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.17-1mdk

- first mandrake version.
- named config file XF86Config.experimental to avoid confusion with 3.3 releases.
